# Tests blocks on i686
%ifarch %{ix86}
%bcond_with test
%else
%bcond_without test
%endif

Name:           perl-SOOT
Version:        0.17
Release:        6%{?dist}
Summary:        Use ROOT from Perl
License:        LGPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/SOOT/
Source0:        http://www.cpan.org/authors/id/S/SM/SMUELLER/SOOT-%{version}.tar.gz
# root does not support ARM, bug #994894
ExcludeArch:    %{arm}
BuildRequires:  perl
BuildRequires:  perl(Alien::ROOT) >= 5.26.0.1
BuildRequires:  perl(base)
BuildRequires:  perl(Carp) >= 1.01
BuildRequires:  perl(Config)
BuildRequires:  perl(ExtUtils::CppGuess) >= 0.01
BuildRequires:  perl(ExtUtils::ParseXS) >= 3.02
BuildRequires:  perl(ExtUtils::Typemaps)
BuildRequires:  perl(ExtUtils::XSpp) >= 0.10
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Getopt::Long)
# inc::latest not used
BuildRequires:  perl(lib)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
BuildRequires:  root-reflex
BuildRequires:  root-graf3d
BuildRequires:  root-physics
%if %{with test}
# Run-time:
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(overload)
BuildRequires:  perl(XSLoader)
# Tests:
BuildRequires:  perl(constant)
BuildRequires:  perl(Test::More)
%endif
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Carp) >= 1.01
Provides:       perl(TArray) = %{version}
Provides:       perl(TClass) = %{version}
Provides:       perl(TObject) = %{version}

%{?perl_default_filter}
# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Carp\\)$

%description
SOOT is a Perl extension for using the ROOT library. It is very similar to the
Ruby-ROOT or PyROOT extensions for their respective languages. Specifically,
SOOT was implemented after the model of Ruby-ROOT.

%prep
%setup -q -n SOOT-%{version}
# Remove bundled modules
find inc -depth -mindepth 1 \! -name SOOTBuilder.pm -delete
sed -i -e '/^inc\//d' MANIFEST
find inc -type f >> MANIFEST
# Bypass inc::latest as it requires packlists
sed -i -e "s/use inc::latest '\([^']*\)'/use \1/" Build.PL inc/SOOTBuilder.pm
# Correct charset
for F in examples/Graph/markerwarning.pl; do
    iconv --from ISO-8859-1 --to UTF-8 < "$F" > "${F}.utf8"
    touch -r "$F" "${F}.utf8"
    mv "${F}.utf8" "$F"
done

%build
perl Build.PL installdirs=vendor optimize="$RPM_OPT_FLAGS"
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%if %{with test}
./Build test
%endif

%files
%doc Changes examples LICENSE README TODO
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/SOOT*
%{perl_vendorarch}/T*
%{_mandir}/man3/*

%changelog
* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.17-6
- Perl 5.20 rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
- Disable ARM support (bugs #991926, #994894)

* Fri Aug 02 2013 Petr Pisar <ppisar@redhat.com> - 0.17-2
- Perl 5.18 rebuild

* Tue May 14 2013 Petr Pisar <ppisar@redhat.com> 0.17-1
- Specfile autogenerated by cpanspec 1.78.
- Disable tests on x86
